<?php
/**
 * @package   Quick Contact Element for Zoo
 * @author    Дмитрий Васюков http://fictionlabs.ru
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

class ElementFlquickcontact extends Element {

	public function __construct() {
        parent::__construct();
        $this->registerCallback('sendEmail');
    }

    public function sendEmail($name, $email, $subject, $text, $captcha) {

    	$admin_email = trim($this->config->get('email'));
    	$email = $this->clear($email);
    	$name = $this->clear($name);
    	$subject = $subject ? $this->clear($subject) : 'Письмо обратной связи';
    	$text = $this->clear($text);

    	$mailer = JFactory::getMailer();
    	$config = JFactory::getConfig();
    	$sender = array( 
    	$config->get('mailfrom'),
    	$config->get( 'fromname'));
		$mailer->setSender($sender);
 		$mailer->addRecipient($admin_email);
 		$body   = '<h3><div>Данные формы</h3></div><ul><li>Email - '.$email.'</li><li>Имя - '.$name.'</li></ul><h3><div>Сообщение</h3><div>'.$text.'</div>';
 		$mailer->setSubject($subject.' - '.$config->get( 'fromname'));
		$mailer->isHTML(true);
		$mailer->Encoding = 'base64';
		$mailer->setBody($body);

        if ($this->config->get('captcha')) {
            if ($captcha == $this->config->get('captcha_answer')) {
                $send = $mailer->Send();
                if ($send !== true) {
                    $result = false;
                    $mes = $this->config->get('error_notice');
                } else {
                    $result = true;
                    $mes = $this->config->get('success_notice');
                }
            } else {
                $result = false;
                $mes = $this->config->get('captcha_error');
            }
        } else {
            $send = $mailer->Send();
            if ($send !== true) {
                $result = false;
                $mes = $this->config->get('error_notice');
            } else {
                $result = true;
                $mes = $this->config->get('success_notice');
            }
        }

        $res = array(
            'res' => $result,
            'mes' => $mes 
        );

    	return json_encode($res);
    }

	public function hasValue($params = array()) {
		$value		= $this->get('value', 1);
		return !empty($value);
	}

	public function render($params = array()) {
        if ($layout = $this->getLayout('flquickcontact.php')) {
            return $this->renderLayout($layout);
        }

        return null;
	}

	public function edit() {
		return $this->app->html->_('select.booleanlist', $this->getControlName('value'), '', $this->get('value', 1));
	}

    //Clear Vars Fuction
    function clear($string) {
        //$clearVar = htmlentities(strip_tags(JString::trim($string)), ENT_QUOTES, "UTF-8");
        $clearString = htmlentities(strip_tags(JString::trim($string)));
        return $clearString;
    }

}
